package com.sqx.modules.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.modules.app.entity.UserInfo;

import java.util.List;

/**
* @author Administrator
* @description 针对表【user_info】的数据库操作Service
* @createDate 2025-01-02 14:15:08
*/
public interface UserInfoService extends IService<UserInfo> {
    UserInfo getByUserIdOrSave(long userId);

    UserInfo getByUserId(long userId);

    /**
     * 查询用户是否实名
     */
    boolean isAuth(long userId);

    /**
     * 通过查询用户实名信息 绑定的用户ID列表
     */
    List<UserInfo> getUsersByNameAndCertNo(String certName,String certNo);

    Integer countCertCount(String name, String idNum);

    Integer countCertCount(String name, String idNum, String accountNo, String mobile);

    int getAuthUserTag(long userId);

    Object getList(Integer page, Integer size, String phone, String name);
}
